#include <iostream>
#include <algorithm>
#include <vector>
#include <cmath>

using namespace std;
int main()
{
    int n;
    cin>>n;
    vector<int> a;
    vector<int> b;
    bool pr1=true;
    for(int i=0;i<n;i++)
    {
        int d1;
        cin>>d1;
        a.push_back(d1);
        if(a[i]!=1)
            pr1=false;
    }
        for(int i=0;i<n;i++)
    {
        int d2;
        cin>>d2;
        b.push_back(d2);
    }
    if(pr1)
    {
        int d=*max_element(b.begin(),b.end());
        cout<<d<<endl;
    }
    else
    {
        
    }

}